﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataTable dt = MakeTable();
            Session["ds"] = dt;
        }
        WebDataGrid1.DataSource = Session["ds"];
    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 7; i++)
        {
            row = table.NewRow();
            row["id"] = i;
         
            table.Rows.Add(row);
        }
        return table;

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        WebDataGrid1.ClearDataSource();
        WebDataGrid1.DataSource = Session["ds"];
        WebDataGrid1.DataBind();
    }
}